/*this helped to remove border on input when clicked inside it*/
* {
    outline: none !important;
}
html,
body {
    font-family: 'Roboto', 'sans-serif', Roboto,sans-serif;
    font-size: 14px;
}
/*------------------------------------TEXT COLOR-------------------------------------------------------------------*/
.color-black{
    color: rgba(0,0,0,0.87);
}

/*-----------------------------------------SVG COLOR------------------------------------------------------------------*/
/*For add icon*/
.svg-color-green {
    fill: #4CAF50;
}
.svg-color-white {
    fill: #FFFFFF;
}

.svg-color-black {
    fill: rgba(0,0,0,0.54);
}

.svg-color-red {
     fill: rgb(255,80,80);
 }

.svg-color-yellow {
    fill: #FFFF00;
}

/**************************************INPUT***************************************************************************/
/*input {*/
/*able.md-table .mdt > th > input {}
table.md-table .mdt > input {*/
/*table.md-table input{
    border-width: 0 0 1px 0;
    border-color: #c7c0c0;
    height: 32px;
    width: 100%;
    background: transparent;
    font-size: 13px;
    min-width: 0;
}*/
/*all Tables input field--> this will remove border from the input box and set background color*/
table.md-table input{
    border-width: 0 0 1px 0;
    border-color: #c7c0c0;
    background: transparent;
   }
/*--------------------------------------MD_INPUT_CONTAINER****************************************************************/
/*All md-input-container labels */
md-input-container label{
    font-size: 14px !important;
    color: #929191 !important;
}

/*added this to change the input and select */
/*when input is clicked there is a purple color */
md-input-container.md-myPurple-theme-theme .md-input{
    border-color: #c7c0c0;
}

md-select.md-myPurple-theme-theme .md-select-value{
    border-color: #c7c0c0;
}
/*-------------------------------------------------------------MDC INPUT---------------------------------------------*/
/*.mdc-input {
    border: none;
    border-bottom: 1px solid rgba(0,0,0,0.12);
    background-color: transparent;
    height: 24px;
    line-height: 24px;
}*/
/*-----------------------------------------TABLE------------------------------------------------------------------*/

.table-border {
    padding: 8px;
    border: 2px solid #eee;
    /*border: 2px solid #cc68d7;*/
}


/*--------------------------------------------TABLE----------------------------------------------------------------------*/
/*Table*/
table.md-table {
    background: #fff;/*rgb(189,189,189);*//*#fff;*/
    padding-top: 24px;
    /*table-layout:fixed;
    width:100%;*/
}

table.md-table .mdt-header {
    top: 128px;
    padding: 4px 0 !important;
    height: 24px !important;
    margin: 0;
    max-height: 24px;
}
/*
.cart-page table.md-table tbody.md-body{
    padding-bottom: 5px;
}*/

table.md-table .mdt-header > th {
    line-height: 20px;
    margin: 0;
    padding: 0 9px !important;
    /*text-align: center !important;*/
    background-color: #f4e9f1;
    border-top: 3px solid #fff;
}

table.md-table .mdt-header > th.r {
    text-align: right !important;
}

table.md-table .mdt-header > th.l {
    text-align: left !important;
}

table.md-table .mdt-header > th.week {
    border-bottom: 1px solid #ddd;
    background: #b2679b;
    color: #fff;
}
table.md-table .mdt-header > th.current {
    border-bottom: 1px solid #ddd;
    background: #f4e9f1;
}
table.md-table .mdt-header > th.tw {
    border-top: 3px solid #ffee58 !important;
}
table.md-table .mdt-header > th.cw {
    border-top: 3px solid #64b5f6 !important;
}
table.md-table .md-head > .mdt.head {
    height: 42px !important;
    padding: 4px 0;
    color: #000;
    background-color: #f4e9f1;
}

table.md-table .mdt {
    transition: all 0.3s ease-in-out;
}
table.md-table .mdt.opened,
table.md-table .mdt:hover {
    background-color: #f0f0f0;
}

.orderpage table.md-table .mdt.opened,
.orderpage table.md-table .mdt:hover {
    background-color: #fff;
}


table.md-table .mdt > td,
table.md-table .mdt > th {
    padding: 0 8px !important;
    cursor: pointer;
}

/*Cart page Changed the table padding to fit all the columns*/
/*
@media only screen and (max-width:767px) {
    .cart-page table.md-table .mdt > td,
    .cart-page table.md-table .mdt > th {
        padding: 0 2px !important;
        cursor: pointer;
    }
}*/

table.md-table .mdt > td .el,
table.md-table .mdt > th .el {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

table.md-table .c {
    text-align: center !important;
}
/*
table.md-table .order-page-img {
    text-align: left !important;
}
@media only screen and (max-width:767px) {
    table.md-table .order-page-img {
        text-align: center !important;
    }
}*/

table .r {
    text-align: right !important;
}
table.md-table .l {
    text-align: left !important;
}

/*table.md-table .c .mdc-input {
    text-align: center !important;
}*/


table.md-table .mdt-product-name,
table.md-table .mdt-name {
    width: 200px;
    max-width: 200px;
}
/*Cart page Title width*/
@media only screen and (max-width:767px) {
    table.md-table .mdt-product-name,
    table.md-table .mdt-name {
        width: 90px;/*80px;*/
        max-width: 90px;/*80px;*/
    }
}

table.md-table .mdt-product-name > div,
table.md-table .mdt-name > div {
    -webkit-line-clamp: 2;
    -moz-line-clamp: 2;
    overflow: hidden;
    /*NEW UI change text was cropped
    max-height: 2.6em;*/
    max-height: 2.7em;
    text-overflow: ellipsis;
    white-space: normal;
    word-wrap: break-word;
    -moz-box-orient: vertical;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    display: -moz-box;
}

@media only screen and (max-width:767px) {
    table.md-table .mdt-product-name > div,
    table.md-table .mdt-name > div {
        -webkit-line-clamp: 2;
        -moz-line-clamp: 2;
        max-height: 2.7em;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: normal;
        word-wrap: break-word;
        -moz-box-orient: vertical;
        -webkit-box-orient: vertical;
        display: -webkit-box;
        display: -moz-box;
    }
}
table.md-table .mdt-cart-img{
    width: 50px;
    max-width: 50px;
}
@media only screen and (max-width:767px) {
    table.md-table .mdt-cart-img{
        width: 30px;
        max-width: 30px;
    }
}


/*not required*/
/*
table.md-table .mdt-img{
    width: 100px;
    max-width: 100px;
}*/
@media only screen and (max-width:767px) {
    table.md-table .mdt-img{
        width: 30px;
        max-width: 30px;
    }
}

@media only screen and (max-width:767px) {
    .order-page table.md-table td.md-cell{
        font-size: 0.8rem;
    }
}


/*Cart page quantity handler button in the table*/
table.md-table .mdt-quantity-cart{
    width: 50px;
    max-width: 50px;
}
@media only screen and (max-width:767px) {
    table.md-table .mdt-quantity-cart{
        width: 45px;
        max-width: 45px;
    }
}

table.md-table .mdt-1 {
    width: 1px;
    max-width: 1px;
}
table.md-table .mdt-25 {
    width: 25px;
    max-width: 25px;
}
table.md-table .mdt-35 {
    width: 35px;
    max-width: 35px;
}
table.md-table .mdt-30 {
    width: 30px;
    max-width: 30px;
}
table.md-table .mdt-50 {
    width: 50px;
    max-width: 50px;
}
table.md-table .mdt-cart-price{
    width: 50px;
    max-width: 50px;
}
@media only screen and (max-width:767px) {
    table.md-table .mdt-cart-price {
        width: 45px;
        max-width: 45px;
    }
}

table.md-table .mdt-price {
    width: 50px;
    max-width: 50px;
}
@media only screen and (max-width:767px) {
    table.md-table .mdt-price {
        width: 30px;
        max-width: 30px;
    }
}

table.md-table .mdt-cross {
    width: 35px;
    max-width: 35px;
}

table.md-table .mdt-70 {
    width: 70px;
    max-width: 70px;
}
table.md-table .mdt-85 {
    width: 85px;
    max-width: 85px;
}
table.md-table .mdt-90 {
    width: 90px;
    max-width: 90px;
}
table.md-table .mdt-100 {
    width: 100px;
    max-width: 100px;
}
table.md-table .mdt-120 {
    width: 120px;
    max-width: 120px;
}
table.md-table .mdt-150 {
    width: 150px;
    max-width: 150px;
}
table.md-table .mdt-200 {
    width: 200px;
    max-width: 200px;
}
/*----------------NEW PRODUCT UI CHANGES---------------------------*/
table.md-table .mdt-75 {
    width: 75px;
    max-width: 75px;
}
/*----------------------------------------------------*/

/*top border color as in old product page*/
table.md-table .mdt-header > th.tw {
    border-top: 3px solid #ffee58 !important;
}
table.md-table .mdt-header > th.cw {
    border-top: 3px solid #64b5f6 !important;
}

table.md-table .mdt-header > th.pw {
    border-top: 3px solid #89C647 !important;
}

/*vertical border*/
table.md-table .mdt-ll {
    border-left: 2px solid #eee;
}

/* ---------------------------------------ui-select---------------------------------------------------------------------------*/
.ui-select-container {
    background-color: rgb(250, 250, 250);
    /*border-radius: 0px !important;*/ /* if u need curved borded comment this*/
}




/*
.ui-select-choices {
    opacity: 1 !important;
}*/

/*.ui-select-choices{ min-height: 30px; }*/

.ui-select-multiple.ui-select-bootstrap {
    height: auto;
    padding: 5px 3px 0px 3px;
    margin-top: 3px;
}

.ui-select-bootstrap .ui-select-choices-row.active>a {
    background-color: rgb(178,103,155) !important;
}
.ui-select-container {
    background-color: rgb(250, 250, 250);
    border-radius: 0px !important;
}

.ui-select-dropdown.select2-drop-active {
    opacity: 1 !important;
}

.link {
    color: #2196f3;
    text-decoration: none;
    /*margin-left: 10px;*/
}

/******************* DASHBOARD CHARTS************************************************/
.onlymap path {
    stroke: #555;
}
/*
.onlymap path[fill='#123456']{
    display:none !important;
}*/

/*Chart removed the space*/
.custom-chart{
    margin-bottom: 0;
}
/*Chart removed the space*/
.custom-legend{
    margin: 0 !important;
}
/* Chart legend ------LINE CHART*/
.box{
    height:15px;
    width:20px;
    margin-right: 5px;
    border:1px solid black;
    display: inline-block;
    vertical-align: middle;
}
.color1{
    background-color:#2ca02c;
}
.color2{
    background-color:#ff7f0e;
}
.color3{
    background-color:#2ca1fc;
}

/*----------------NEW PRODUCT UI CHANGES---------------------------*/
/*table.md-table tbody.md-body>tr.md-row {
    border: 2px solid #eee;
    border-radius: 50px;
}*/